## org.biojava.bio.program.homologene
Class OrthologueFilter.AcceptAll

    java.lang.Object
      org.biojava.bio.program.homologene.OrthologueFilter.AcceptAll

All Implemented Interfaces:
  OrthologueFilter

Enclosing interface:
  OrthologueFilter

    public static final class OrthologueFilter.AcceptAll

extends Object
implements OrthologueFilter

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.homologene.OrthologueFilter
`OrthologueFilter.AcceptAll, OrthologueFilter.And, OrthologueFilter.ByAccession, OrthologueFilter.ByHomologeneID, OrthologueFilter.ByLocusID, OrthologueFilter.ByTaxon, OrthologueFilter.ByTaxonID, OrthologueFilter.ByTitle, OrthologueFilter.Not, OrthologueFilter.Or, OrthologueFilter.Xor`

Constructor Summary
`OrthologueFilter.AcceptAll()`

Method Summary
`boolean` `accept(Orthologue ortho)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrthologueFilter.AcceptAll

    public OrthologueFilter.AcceptAll()

Method Detail

### accept

    public boolean accept(Orthologue ortho)

  Specified by:
    `accept` in interface `OrthologueFilter`